using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace Petlja_takmicenje_zad_2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string unos;
            unos = Console.ReadLine();
            int n, q;
            string[] pom = unos.Split(' ');
            n = Convert.ToInt32(pom[0]);
            q = Convert.ToInt32(pom[1]);
            unos = Console.ReadLine();
            pom = unos.Split(' ');
            int[] a = new int[n];
            for (int i = 0; i < n; i++)
            {
                a[i] = Convert.ToInt32(pom[i]);
            }
            unos = Console.ReadLine();
            pom = unos.Split(' ');
            int[] b = new int[q];
            for (int i = 0; i < q; i++)
            {
                b[i] = Convert.ToInt32(pom[i]);
            }

            Array.Sort(a);
            int indeksPoslednjegManjeg;
            int indeksPrvogVeceg;
            int rez;
            for (int i = 0; i < q; i++)
            {
                indeksPoslednjegManjeg = 0;
                indeksPrvogVeceg = 0;
                for (int j = 0; j < n; j++)
                {
                    if (a[j] < b[i])
                    {
                        indeksPoslednjegManjeg = j + 1;
                    }

                    if (a[j] > b[i] && a[j]!= b[i])
                    {
                        indeksPrvogVeceg = j + 1;
                    }
                }
                if (indeksPrvogVeceg == 0)
                {
                    indeksPrvogVeceg = n + 1;
                }
                rez = Math.Abs(n - indeksPrvogVeceg - indeksPoslednjegManjeg + 1) - (indeksPrvogVeceg - indeksPoslednjegManjeg - 1);
                if (rez < 0)
                {
                    rez = 0;
                }
                Console.WriteLine(rez);
            }

            Console.ReadLine();
        }
    }
}